LibreOffice: osl::Profile Class Reference

LibreOffice LibreOffice 7.2 SDK C/C++ API Reference

Public Member Functions | List of all members
osl::Profile Class Reference

Deprecated API. More...

`#include <profile.hxx>`

## Public Member Functions
| Profile (const rtl::OUString &strProfileName, oslProfileOption Options=Profile_DEFAULT)
| Open or create a configuration profile. More...
| ~Profile ()
| Close the opened profile an flush all data to the disk. More...
bool | flush ()
rtl::OString | readString (const rtl::OString &rSection, const rtl::OString &rEntry, const rtl::OString &rDefault)
bool | readBool (const rtl::OString &rSection, const rtl::OString &rEntry, bool bDefault)
sal_uInt32 | readIdent (const rtl::OString &rSection, const rtl::OString &rEntry, sal_uInt32 nFirstId, const std::list< rtl::OString > &rStrings, sal_uInt32 nDefault)
bool | writeString (const rtl::OString &rSection, const rtl::OString &rEntry, const rtl::OString &rString)
bool | writeBool (const rtl::OString &rSection, const rtl::OString &rEntry, bool Value)
bool | writeIdent (const rtl::OString &rSection, const rtl::OString &rEntry, sal_uInt32 nFirstId, const std::list< rtl::OString > &rStrings, sal_uInt32 nValue)
bool | removeEntry (const rtl::OString &rSection, const rtl::OString &rEntry)
| Remove an entry from a section. More...
std::list< rtl::OString > | getSectionEntries (const rtl::OString &rSection)
| Get all entries belonging to the specified section. More...
std::list< rtl::OString > | getSections ()
| Get all section entries. More...

## Detailed Description

Deprecated API.

Deprecated:

## Constructor & Destructor Documentation

## ◆ Profile()

osl::Profile::Profile | ( | const rtl::OUString & | strProfileName,
|  | oslProfileOption | Options = `Profile_DEFAULT`
| ) |  |
| inline

Open or create a configuration profile.

Return values

  0 | if the profile could not be created, otherwise a handle to the profile.

## ◆ ~Profile()

osl::Profile::~Profile | ( |  | ) |
| inline

Close the opened profile an flush all data to the disk.

## Member Function Documentation

## ◆ flush()

bool osl::Profile::flush | ( |  | ) |
| inline

## ◆ getSectionEntries()

std::list< rtl::OString > osl::Profile::getSectionEntries | ( | const rtl::OString & | rSection | ) |
| inline

Get all entries belonging to the specified section.

Parameters

  rSection | Name of the section.

Returns
  Pointer to an array of pointers.

## ◆ getSections()

std::list< rtl::OString > osl::Profile::getSections | ( |  | ) |
| inline

Get all section entries.

Returns
  Pointer to an array of pointers.

## ◆ readBool()

bool osl::Profile::readBool | ( | const rtl::OString & | rSection,
|  | const rtl::OString & | rEntry,
|  | bool | bDefault
| ) |  |
| inline

## ◆ readIdent()

sal_uInt32 osl::Profile::readIdent | ( | const rtl::OString & | rSection,
|  | const rtl::OString & | rEntry,
|  | sal_uInt32 | nFirstId,
|  | const std::list< rtl::OString > & | rStrings,
|  | sal_uInt32 | nDefault
| ) |  |
| inline

## ◆ readString()

rtl::OString osl::Profile::readString | ( | const rtl::OString & | rSection,
|  | const rtl::OString & | rEntry,
|  | const rtl::OString & | rDefault
| ) |  |
| inline

## ◆ removeEntry()

bool osl::Profile::removeEntry | ( | const rtl::OString & | rSection,
|  | const rtl::OString & | rEntry
| ) |  |
| inline

Remove an entry from a section.

Parameters

  rSection | Name of the section.
  rEntry | Name of the entry to remove.

Return values

  False | if section or entry could not be found.

## ◆ writeBool()

bool osl::Profile::writeBool | ( | const rtl::OString & | rSection,
|  | const rtl::OString & | rEntry,
|  | bool | Value
| ) |  |
| inline

## ◆ writeIdent()

bool osl::Profile::writeIdent | ( | const rtl::OString & | rSection,
|  | const rtl::OString & | rEntry,
|  | sal_uInt32 | nFirstId,
|  | const std::list< rtl::OString > & | rStrings,
|  | sal_uInt32 | nValue
| ) |  |
| inline

## ◆ writeString()

bool osl::Profile::writeString | ( | const rtl::OString & | rSection,
|  | const rtl::OString & | rEntry,
|  | const rtl::OString & | rString
| ) |  |
| inline

The documentation for this class was generated from the following file:

- osl/profile.hxx